package com.zj365.health.vm

import androidx.lifecycle.MutableLiveData
import com.alibaba.fastjson.JSONObject
import com.xty.base.vm.BaseVm
import com.xty.network.model.PsychologicalListBean
import com.xty.network.model.RespBody

class PsychologicalTestMainVm: BaseVm() {

    val psychologicalListData by lazy { MutableLiveData<RespBody<PsychologicalListBean>>() }

    fun getPsychologicalList(pageNum:Int){
        startHttp {
            var json = JSONObject()
            json.put("pageNum",pageNum)
            json.put("pageSize",10)

            var request=apiInterface().getPsychologicalList(retrofits.getRequestBody(json.toString()))
            request.getCodeStatus(psychologicalListData,nowData)

        }
    }
}